export function getNode(node, keySplit) {
  let children = node['children']
  let len = keySplit.length
  let nodeName = keySplit[0]
  let val = node[nodeName]

  if (!val) {
    return null
  }

  if (len > 1 && children && children.length > 0) {
    for (let index = 0; index < children.length; index++) {
      const element = children[index]
      if (element.label != nodeName) {
        continue
      }
      return getNode(element, keySplit.slice(1, len))
    }
  }
  return val
}

//   'blog:article:00b2dcb2-9c53-4aa2-afce-3ad03f6adc75',
//   'blog:content:08211bc04fe44ba38d88e3e8e6899175',
//   'iris:session:00e9463e-c447-4d4b-b939-a1410ed2852b',
export function setNode(preNodeArr, keySplit) {
  let len = preNodeArr.length
  let keySplitLen = keySplit.length
  let targetNodeName = keySplit[0]

  let targetNode

  for (let index = 0; index < len; index++) {
    const node = preNodeArr[index]
    if (node.label == targetNodeName) {
      targetNode = node
    }
  }

  if (!targetNode) {
    targetNode = { label: targetNodeName }
    preNodeArr.push(targetNode)
    if (keySplitLen == 1) {
      return
    }
  }
  let targetChildren = targetNode.children
  if (!targetChildren) {
    targetChildren = []
    targetNode['children'] = targetChildren
  }
  setNode(targetChildren, keySplit.slice(1, keySplitLen))
  targetChildren.sort((pre, curr) => {
    if (curr.children && !pre.children) {
      return 1
    }
    if (!curr.children && pre.children) {
      return -1
    }

    let preLabel = pre.label
    let currLabel = curr.label
    return currLabel.localeCompare(preLabel)
  })
}

// export function getMapVal(map, keySplit) {
//   let len = keySplit.length
//   let key = keySplit[0]
//   let val = map[key]
//   if (!val) {
//     return null
//   }
//   if (len > 1) {
//     return getMapVal(val, keySplit.slice(1, len))
//   }

//   return val
// }

// export function setMapVal(map, keySplit, val) {
//   let targetMap = getMapVal(map, keySplit)
//   if (!targetMap) {
//     let preMap = {}
//     let currMap = map
//     let len = keySplit.length
//     for (let index = 0; index < len; index++) {
//       const element = keySplit[index]
//       preMap = currMap
//       currMap = currMap[element]

//       if (!currMap) {
//         currMap = {}
//         preMap[element] = currMap
//       }

//       if (index == len - 1) {
//         preMap[element] = val
//       }
//     }
//   }
// }
