package main

type RedisConnect struct {
	Id         string `json:"id"`
	Name       string `json:"name"`
	Address    string `json:"address"`
	Port       string `json:"port"`
	Auth       string `json:"auth"`
	Username   string `json:"username"`
	SplitChart string `json:"splitChart"`
	ReadOnly   bool   `json:"readOnly"`

	SSHConfig *SSHConfig `json:"sshConfig,omitempty"`
	SSLConfig *SSLConfig `json:"sslConfig,omitempty"`
}

type SSHConfig struct {
	Host       string `json:"host"`
	Port       int    `json:"port"`
	Username   string `json:"username"`
	Password   string `json:"password"`
	PrivateKey string `json:"privateKey"`
	Overtime   int    `json:"overtime"`
}

type SSLConfig struct {
	PrivateKey           string `json:"privateKey"`
	PublicKey            string `json:"publicKey"`
	CertificateAuthority string `json:"certificateAuthority"`
}

type GlobleSetting struct {
	DarkModel bool   `json:"darkModel"`
	Language  string `json:"language"`
	Font      string `json:"font"`
	LoadSize  int    `json:"loadSize"`
}

type SettingStore struct {
	GlobleSetting GlobleSetting  `json:"globleSetting"`
	RedisConnect  []RedisConnect `json:"redisConnect"`
}
